---
title: "Migration auf 2027-05-01"
description: "Beispiel: So sieht das Portal nach dem ersten Bruch aus. Die Nachfolgerin 2027-05-01 erscheint, 2026-11-01 läuft noch 12 Monate und wird am 01.05.2028 abgeschaltet."
lang: de
url: https://developers.bodo-app.com/guides/migrate-2027-05-01/
apiVersion: 2026-11-01
---

# Migration auf 2027-05-01

Beispiel: So sieht das Portal nach dem ersten Bruch aus. Die Nachfolgerin 2027-05-01 erscheint, 2026-11-01 läuft noch 12 Monate und wird am 01.05.2028 abgeschaltet.

Beispiel

> **Abgekündigt** **API-Version 2026-11-01 läuft am 01.05.2028 aus.** Bis dahin funktioniert sie unverändert. Danach antwortet die API mit `410 VERSION_SUNSET`.

[Pin in Bodo anheben](https://bodo-app.com/settings/api-keys)

## Zeitstrahl

**Lebenslauf der API-Versionen**

- `2026-11-01`: erscheint 01.11.2026 · Nachfolgerin erscheint, Abkündigung 01.05.2027 · Brownouts, letzte 6 Wochen: 2028-03-21 08:00, 2028-04-04 08:00, 2028-04-18 08:00 UTC · Abschaltung · 410 01.05.2028
- `2027-05-01`: erscheint 01.05.2027 · läuft, keine Nachfolgerin; Supportende erst 12 Monate nach Erscheinen einer Nachfolgerin

## Brownouts

Geplante Ausfälle der alten Version, damit vergessene Integrationen vor dem Sunset auffallen.

| Beginn | Dauer | Antwort |
| --- | --- | --- |
| 2028-03-21 08:00 UTC | 12 h | 410 VERSION_SUNSET |
| 2028-04-04 08:00 UTC | 24 h | 410 VERSION_SUNSET |
| 2028-04-18 08:00 UTC | 48 h | 410 VERSION_SUNSET |

## Header auf jeder Antwort mit 2026-11-01

`Deprecation` nach RFC 9745, `Sunset` nach RFC 8594, `Link` mit `rel="deprecation"` auf den Changelog-Eintrag der Nachfolgerin. Die SDKs warnen im Log, sobald eine Antwort den Deprecation-Header trägt.

```http
Bodo-Version: 2026-11-01
Deprecation: @1809129600
Sunset: Mon, 01 May 2028 00:00:00 GMT
Link: <https://developers.bodo-app.com/changelog/2027-05-01>; rel="deprecation"
```

## Was sich bricht

Erzeugt aus der Registry (`VersionChange`), geprüft mit `oasdiff breaking`. Im Web zeigt der Upgrade-Dialog dieselbe Liste, gefiltert auf die Operationen, die dein Schlüssel genutzt hat.

| Ressource | Änderung | Was du tust |
| --- | --- | --- |
| contacts | `phone` wird zur Liste `phones[]` (Beispiel) | Erste Nummer aus `phones[0]` lesen |
| tasks | `dueDate` trägt eine Zeitzone, RFC 3339 (Beispiel) | Datum mit Offset parsen statt als reines Datum |
| companies | `industry` wird Pflichtfeld beim Anlegen (Beispiel) | Branche beim Anlegen mitsenden |

Testen: `Bodo-Version: 2027-05-01` je Request setzen, dann den Pin anheben.

[Changelog](/changelog/)
